### Class

# AppStream ReleaseList

#### Description

    class AppStream.ReleaseList : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_release_list_new

Creates a new `AsReleaseList`.

since: 1.0

#### Instance methods

###### as_release_list_add

Append a release entry to this `AsReleaseList` container.

###### as_release_list_clear

Remove all release entries from this releases object.

###### as_release_list_get_context

Get the `AsContext` associated with these releases. This function may return `NULL` if no context is set.

###### as_release_list_get_entries

Get the release entries as `GPtrArray`.

###### as_release_list_get_kind

Returns the `AsReleaseListKind` of the release metadata associated with this component.

since: 0.16.0

###### as_release_list_get_size

Get the amount of components in this box.

###### as_release_list_get_url

Get the remote URL to obtain release information from.

since: 0.16.0

###### as_release_list_index_safe

Retrieve a release entry at the respective index from the release entry list.

###### as_release_list_is_empty

Check if there are any components present.

###### as_release_list_load_from_bytes

Load release information from XML bytes.

since: 0.16.0

###### as_release_list_set_context

Sets the document context these releases are associated with.

###### as_release_list_set_kind

Sets the `AsReleaseListKind` of the release metadata associated with this component.

since: 0.16.0

###### as_release_list_set_size

Set the amount of release entries stored.

###### as_release_list_set_url

Set a remote URL pointing to an AppStream release info file.

since: 0.16.0

###### as_release_list_sort

Sort releases by their release version, starting with the most recent release.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamReleaseListClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.